Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 355035 - x11-libs/wxGTK-2.8.11.0: compilation fails with media-libs/libpng-1.5.x
Summary: x11-libs/wxGTK-2.8.11.0: compilation fails with media-libs/libpng-1.5.x
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] Library (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: Gentoo wxWidgets Herd
URL: http://trac.wxwidgets.org/ticket/12959
Whiteboard:
Keywords:
Depends on:
Blocks: libpng-1.5
  Show dependency tree
 
Reported: 2011-02-15 15:13 UTC by Lars Wendler (Polynomial-C)
Modified: 2011-03-19 17:15 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
wx-png-1.5-2.diff (wx-png-1.5-2.diff,1.26 KB, patch)
2011-02-18 11:10 UTC, Hanno Böck
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Lars Wendler (Polynomial-C) gentoo-dev 2011-02-15 15:13:59 UTC
/var/tmp/portage/x11-libs/wxGTK-2.8.11.0/work/wxPython-src-2.8.11.0/wxgtk_build/bk-deps i686-pc-linux-gnu-g++ -c -o coredll_imagpng.o  -D__WXGTK__     -DWXBUILDING      -I/var/tmp/portage/x11-libs/wxGTK-2.8.11.0/work/wxPython-src-2.8.11.0/src/regex  -DWXUSINGDLL -DWXMAKINGDLL_CORE -DwxUSE_BASE=0 -fPIC -DPIC -D_FILE_OFFSET_BITS=64 -D_LARGE_FILES -I/var/tmp/portage/x11-libs/wxGTK-2.8.11.0/work/wxPython-src-2.8.11.0/wxgtk_build/lib/wx/include/gtk2-unicode-release-2.8 -I/var/tmp/portage/x11-libs/wxGTK-2.8.11.0/work/wxPython-src-2.8.11.0/include -pthread -DQT_SHARED -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/gdk-pixbuf-2.0 -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng15 -I/usr/include/qt4 -I/usr/include/qt4/QtGui -I/usr/include/libdrm -I/usr/include/qt4/QtCore -pthread -Wall -Wundef -Wno-ctor-dtor-privacy -O2 -fno-strict-aliasing -I/usr/include/SDL -D_GNU_SOURCE=1 -D_REENTRANT -march=barcelona -O2 -pipe -fno-strict-aliasing /var/tmp/portage/x11-libs/wxGTK-2.8.11.0/work/wxPython-src-2.8.11.0/src/common/imagpng.cpp
/var/tmp/portage/x11-libs/wxGTK-2.8.11.0/work/wxPython-src-2.8.11.0/src/common/imagpng.cpp: In member function ‘virtual bool wxPNGHandler::LoadFile(wxImage*, wxInputStream&, bool, int)’:
/var/tmp/portage/x11-libs/wxGTK-2.8.11.0/work/wxPython-src-2.8.11.0/src/common/imagpng.cpp:532:30: error: ‘voidp’ was not declared in this scope
/var/tmp/portage/x11-libs/wxGTK-2.8.11.0/work/wxPython-src-2.8.11.0/src/common/imagpng.cpp:589:40: error: invalid use of incomplete type ‘struct png_info’
/usr/include/libpng15/png.h:670:16: error: forward declaration of ‘struct png_info’
/var/tmp/portage/x11-libs/wxGTK-2.8.11.0/work/wxPython-src-2.8.11.0/src/common/imagpng.cpp:596:28: error: invalid use of incomplete type ‘struct png_info’
/usr/include/libpng15/png.h:670:16: error: forward declaration of ‘struct png_info’
/var/tmp/portage/x11-libs/wxGTK-2.8.11.0/work/wxPython-src-2.8.11.0/src/common/imagpng.cpp:597:28: error: invalid use of incomplete type ‘struct png_info’
/usr/include/libpng15/png.h:670:16: error: forward declaration of ‘struct png_info’
/var/tmp/portage/x11-libs/wxGTK-2.8.11.0/work/wxPython-src-2.8.11.0/src/common/imagpng.cpp:598:28: error: invalid use of incomplete type ‘struct png_info’
/usr/include/libpng15/png.h:670:16: error: forward declaration of ‘struct png_info’
make: *** [coredll_imagpng.o] Error 1


The voidp error from line 532 can be fixed with the patch from http://trac.wxwidgets.org/ticket/12896

The remaining errors seem to be still unfixed (or related to another package failing with libpng-1.5).
Comment 1 Hanno Böck gentoo-dev 2011-02-18 11:10:35 UTC
Created attachment 262897 [details, diff]
wx-png-1.5-2.diff

The linked upstream fix is incomplete, this one works against 2.8.11.0 (upstream already changed that code piece a while back, so it's not neccessary to push this upstream, but it's not yet in a release).
Comment 2 Ryan Hill (RETIRED) gentoo-dev 2011-02-21 01:30:25 UTC
2.8.12.0 should be out next week.
Comment 3 Ryan Hill (RETIRED) gentoo-dev 2011-02-21 01:35:23 UTC
...and this patch still applies in full.  what branch were you looking at?

I'll see if I can still get this in.
Comment 4 Ryan Hill (RETIRED) gentoo-dev 2011-02-21 01:50:10 UTC
oh and thanks for the patch!
Comment 5 Ryan Hill (RETIRED) gentoo-dev 2011-03-19 17:15:53 UTC
Okay, it's in 2.8.12, but there won't be a wxpython release for a while so I'll apply this to 2.8.11.0 in the meantime.